import { buildProps as t, definePropType as e } from "../../node_modules/.pnpm/element-plus@2.5.6_vue@3.4.21/node_modules/element-plus/es/utils/vue/props/runtime.mjs";
const a = t({
  title: String,
  fixedHeader: Boolean,
  breadcrumb: {
    type: e([Array, Boolean]),
    default() {
      return [];
    }
  },
  extra: {
    type: e(Array),
    default() {
      return [];
    }
  },
  loading: Boolean,
  request: {
    type: e(Function)
  },
  status: {
    type: e(Object),
    default() {
      return {};
    }
  },
  pageKey: {
    type: [String, Number]
  },
  tabList: {
    type: e(Array)
  },
  tabProps: {
    type: e(Object)
  },
  tabKey: {
    type: [String, Number]
  }
});
export {
  a as wetProPageContainerProps
};
